Bug 32125

Summary: Implement contextual return on OPAC comments
Product: Koha Reporter: Martin Renvoize <martin.renvoize>
Component: OPACAssignee: Martin Renvoize <martin.renvoize>
Status: CLOSED FIXED QA Contact: Katrin Fischer <katrin.fischer>
Severity: enhancement    
Priority: P5 - low CC: lucas
Version: masterKeywords: rel_22_11_candidate
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: ---
Documentation contact: Documentation submission:
Text to go in the release notes:
**Sponsored by** *PTFS Europe* This enhancement ensures patrons are returned to the correct bibliographic record detail page after a login that is prompted when attempting to comment on a bibliographic record.
Version(s) released in:
23.05.00,22.11.03
Bug Depends on: 31699    
Bug Blocks:    
Attachments: Bug 32125: Impliment modal context return on opac-detail.
Bug 32125: Select correct tab on return
Bug 32125: Impliment modal context return on opac-detail.
Bug 32125: Select correct tab on return

Description Martin Renvoize 2022-11-07 17:12:41 UTC
We should use the contextual return option added in bug 31699 to ensure a patron is returned to the biblio details page they were on when trying to add a comment to said biblio and getting prompted to login.
Comment 1 Martin Renvoize 2022-11-07 17:14:29 UTC
Created attachment 143376 [details] [review]
Bug 32125: Impliment modal context return on opac-detail.

This patch utilises the generic return option introduced in the previous
patch to prevent lose of context when clicking to login to add a comment
to a biblio.

Test plan
1/ Test that prior to this patch, upon clicking 'Log in to your account
to post a comment' you are redirected to opac-user.pl and thus loose
your context.
2/ Apply the patch
3/ Confirm that a login using the 'Log in to your account to post a
comment' link now redirect immediatly back the correct record and thus
maintains context.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 2 Martin Renvoize 2022-11-07 17:14:33 UTC
Created attachment 143377 [details] [review]
Bug 32125: Select correct tab on return

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Martin Renvoize 2022-11-07 17:15:38 UTC
This simply splits the work from bug 31699 to better document it for the release notes.. carrying over SO and QA stamps
Comment 4 Martin Renvoize 2022-11-09 08:36:04 UTC
Created attachment 143466 [details] [review]
Bug 32125: Impliment modal context return on opac-detail.

This patch utilises the generic return option introduced in the previous
patch to prevent lose of context when clicking to login to add a comment
to a biblio.

Test plan
1/ Test that prior to this patch, upon clicking 'Log in to your account
to post a comment' you are redirected to opac-user.pl and thus loose
your context.
2/ Apply the patch
3/ Confirm that a login using the 'Log in to your account to post a
comment' link now redirect immediatly back the correct record and thus
maintains context.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Martin Renvoize 2022-11-09 08:36:08 UTC
Created attachment 143467 [details] [review]
Bug 32125: Select correct tab on return

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Tomás Cohen Arazi 2023-02-09 13:22:57 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 7 Jacob O'Mara 2023-02-13 09:46:03 UTC
Nice work, thanks everyone!

Pushed to 22.11.x for the next release.